precision highp float;

uniform sampler2D textureUnit0;

uniform vec4 additionalColor;

varying vec2 texCoord;
varying vec4 vertexColor;

const vec4 WHITE = vec4(1,1,1,1);

void main() {
	gl_FragColor= min(WHITE, (texture2D(textureUnit0, texCoord) * vertexColor) + additionalColor);
}

