precision highp float;

uniform sampler2D textureUnit0;

uniform vec4 additionalColor;

varying vec2 texCoord;
varying vec4 vertexColor;

const vec4 WHITE = vec4(1,1,1,1);

void main() {
	vec4 sample = texture2D(textureUnit0, texCoord);
	
	if(sample.a > 0.6){
    gl_FragColor = sample;
    }
    else{
        discard;
        } 
}

